
Redmine - Defect #12863

Editing messages in Issue history does not work

2013-01-16 11:34 - Michal Unzeitig

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.2.1

Description

Clicking the edit icon in Issue messages history shows the "Loading..." lightbox, but then the lighbix dissapears and nothing else

happens.

The error shown in log is:

NoMethodError (undefined method `to_ary' for #<Mime::Type:0xb7bd63e0>):

 Full log output:

Started GET "/journals/edit/16826.js" for 178.72.196.146 at Wed Jan 16 12:26:10 +0200 2013

NoMethodError (undefined method `to_ary' for #<Mime::Type:0xb7bd63e0>):

  actionpack (3.2.11) lib/action_dispatch/http/mime_type.rb:270:in `method_missing'

  actionpack (3.2.11) lib/action_dispatch/http/mime_negotiation.rb:55:in `Array'

  actionpack (3.2.11) lib/action_dispatch/http/mime_negotiation.rb:55:in `formats'

  actionpack (3.2.11) lib/action_dispatch/http/mime_negotiation.rb:49:in `format'

  actionpack (3.2.11) lib/action_controller/metal/instrumentation.rb:22:in `process_action'

  actionpack (3.2.11) lib/action_controller/metal/params_wrapper.rb:207:in `process_action'

  activerecord (3.2.11) lib/active_record/railties/controller_runtime.rb:18:in `process_action'

  actionpack (3.2.11) lib/abstract_controller/base.rb:121:in `process'

  actionpack (3.2.11) lib/abstract_controller/rendering.rb:45:in `process'

  actionpack (3.2.11) lib/action_controller/metal.rb:203:in `dispatch'

  actionpack (3.2.11) lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

  actionpack (3.2.11) lib/action_controller/metal.rb:246:in `action'

  actionpack (3.2.11) lib/action_dispatch/routing/route_set.rb:73:in `call'

  actionpack (3.2.11) lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

  actionpack (3.2.11) lib/action_dispatch/routing/route_set.rb:36:in `call'

  journey (1.0.4) lib/journey/router.rb:68:in `call'

  journey (1.0.4) lib/journey/router.rb:56:in `each'

  journey (1.0.4) lib/journey/router.rb:56:in `call'

  actionpack (3.2.11) lib/action_dispatch/routing/route_set.rb:601:in `call'

  rack-openid (1.3.1) lib/rack/openid.rb:98:in `call'

  actionpack (3.2.11) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

  rack (1.4.4) lib/rack/etag.rb:23:in `call'

  rack (1.4.4) lib/rack/conditionalget.rb:25:in `call'

  actionpack (3.2.11) lib/action_dispatch/middleware/head.rb:14:in `call'

  actionpack (3.2.11) lib/action_dispatch/middleware/params_parser.rb:21:in `call'

  actionpack (3.2.11) lib/action_dispatch/middleware/flash.rb:242:in `call'

  rack (1.4.4) lib/rack/session/abstract/id.rb:210:in `context'

  rack (1.4.4) lib/rack/session/abstract/id.rb:205:in `call'

  actionpack (3.2.11) lib/action_dispatch/middleware/cookies.rb:341:in `call'

  activerecord (3.2.11) lib/active_record/query_cache.rb:64:in `call'

  activerecord (3.2.11) lib/active_record/connection_adapters/abstract/connection_pool.rb:479:in `

call'

  actionpack (3.2.11) lib/action_dispatch/middleware/callbacks.rb:28:in `call'

  activesupport (3.2.11) lib/active_support/callbacks.rb:405:in `_run__397314981__call__4__callbac

ks'

  activesupport (3.2.11) lib/active_support/callbacks.rb:405:in `send'

  activesupport (3.2.11) lib/active_support/callbacks.rb:405:in `__run_callback'

  activesupport (3.2.11) lib/active_support/callbacks.rb:385:in `_run_call_callbacks'
  activesupport (3.2.11) lib/active_support/callbacks.rb:81:in `send'

  activesupport (3.2.11) lib/active_support/callbacks.rb:81:in `run_callbacks'

  actionpack (3.2.11) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

  actionpack (3.2.11) lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

  actionpack (3.2.11) lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

  actionpack (3.2.11) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

  railties (3.2.11) lib/rails/rack/logger.rb:32:in `call_app'

  railties (3.2.11) lib/rails/rack/logger.rb:16:in `call'

  activesupport (3.2.11) lib/active_support/tagged_logging.rb:22:in `tagged'

  railties (3.2.11) lib/rails/rack/logger.rb:16:in `call'

  actionpack (3.2.11) lib/action_dispatch/middleware/request_id.rb:22:in `call'

  rack (1.4.4) lib/rack/methodoverride.rb:21:in `call'

  rack (1.4.4) lib/rack/runtime.rb:17:in `call'

  activesupport (3.2.11) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

  rack (1.4.4) lib/rack/lock.rb:15:in `call'

  actionpack (3.2.11) lib/action_dispatch/middleware/static.rb:62:in `call'

  rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

  rack-cache (1.2) lib/rack/cache/context.rb:245:in `fetch'

  rack-cache (1.2) lib/rack/cache/context.rb:185:in `lookup'

  rack-cache (1.2) lib/rack/cache/context.rb:66:in `call!'

  rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

  railties (3.2.11) lib/rails/engine.rb:479:in `call'

  railties (3.2.11) lib/rails/application.rb:223:in `call'

  railties (3.2.11) lib/rails/railtie/configurable.rb:30:in `send'

  railties (3.2.11) lib/rails/railtie/configurable.rb:30:in `method_missing'

  passenger (3.0.17) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.17) lib/phusion_passenger/abstract_request_handler.rb:516:in `accept_and_process_

next_request'

  passenger (3.0.17) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.17) lib/phusion_passenger/rack/application_spawner.rb:206:in `start_request_handl

er'

  passenger (3.0.17) lib/phusion_passenger/rack/application_spawner.rb:171:in `send'

  passenger (3.0.17) lib/phusion_passenger/rack/application_spawner.rb:171:in `handle_spawn_applic

ation'

  passenger (3.0.17) lib/phusion_passenger/utils.rb:470:in `safe_fork'

  passenger (3.0.17) lib/phusion_passenger/rack/application_spawner.rb:166:in `handle_spawn_applic

ation'

  passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.17) lib/phusion_passenger/rack/application_spawner.rb:129:in `start'

  passenger (3.0.17) lib/phusion_passenger/spawn_manager.rb:253:in `spawn_rack_application'

  passenger (3.0.17) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.17) lib/phusion_passenger/spawn_manager.rb:246:in `spawn_rack_application'

  passenger (3.0.17) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.17) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.17) lib/phusion_passenger/spawn_manager.rb:244:in `spawn_rack_application'

  passenger (3.0.17) lib/phusion_passenger/spawn_manager.rb:137:in `spawn_application'

  passenger (3.0.17) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.17) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.17) helper-scripts/passenger-spawn-server:99

Related issues:

Is duplicate of Redmine - Defect #11005: Error with the PDF export function Closed

History

#1 - 2013-01-16 11:46 - Michal Unzeitig

Sorry, fotgot to attach my versions info:

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.8.17

Rack version              1.4

Rails version             3.2.11

2025-05-17 2/3



Active Record version     3.2.11

Action Pack version       3.2.11

Active Resource version   3.2.11

Action Mailer version     3.2.11

Active Support version    3.2.11

#2 - 2013-01-16 11:56 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #11005.
